Search for Products
Dxplaination of Interface Call Request
Note: Currently only the status = 5 items can be found.
Example of request parameters
Examples of back-up
Dxplaination of request parameters
| 参数 | type | Is it compulsory? | Introductions |
| status | number | no | Item Status, default 5 |
| source | number | yes | Default 1, 1: Owned goods from small stores, 2: Shipments |
| page | number | yes | What Page (Minimum Fill 1) |
| page_size | number | yes | Number of pages per page (no more than 10,000) |
| keyword | string | yes | Item titles, fuzzy searches |
Dxplaination of callback parameters
| 参数 | type | Introductions |
| errcode | number | Error code |
| errmsg | string | Error message |
| spus[].product_id | number | Small shop internal product ID |
| spus[].out_product_id | string | Merchant Custom Item ID |
| spus[].title | string | title |
| spus[].sub_title | string | subheading |
| spus[].head_img | string array | Main picture, multiple sheets, list |
| spus[].desc_info.imgs | string array | Item Details, Illustration (Image Only Currently) |
| spus[].brand_id | number | Merchants need to apply for brands |
| spus[].status | number | Item Status Online |
| spus[].edit_status | number | Draft status of commodities |
| spus[].min_price | number | Minimum SKU price (unit: cent) |
| spus[].path | string | Weixin Mini Program Page path |
| spus[].cats[].cat_id | number | Merchants need to apply for categories to use first |
| spus[].cats[].level | number | Merchants need to apply for categories to use first |
| spus[].attrs[].attr_key | string | Property key (for property customization) |
| spus[].attrs[].attr_value | string | Attribute values (for attribute customization) |
| spus[].model | string | Product Model |
| spus[].shopcat[].shopcat_id | number | Category ID, the corresponding information is obtained through the get_shop_cat interface |
| spus[].skus[].sku_id | number | skuID |
Enumeration - edit_status
| 枚举值 | describe |
| 0 | Initial value |
| 1 | In edit |
| 2 | Under review |
| 3 | The audit failed |
| 4 | The audit was successful. |
Enumeration - status
| 枚举值 | describe |
| 0 | Initial value |
| 5 | Get on the shelves. |
| 6 | Recycling Station |
| 9 | Logical deletion |
| 11 | Take it off the shelves on her own. |
| 12 | Sold off shelves |
| 13 | Violations removed / Risk control removed |
Return code
| 返回码 | Error Type |
| -1 | System exceptions |
| -2 | Token too long |
| 9401020 | The parameter is incorrect. |
| 9401021 | Call the api without permission |
| 9401002 | SPU does not exist |
| 9401001 | SPU already exists |
| 9401023 | SPU does not allow editing |